package com.mt.wms.basic.params;

import com.mt.wms.core.params.BasePageParam;
import com.mt.wms.core.validator.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * @Author: liguanghao
 * @Date: 2021/9/28 15:09
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "缓存区查询参数", description = "用于查询缓存区信息")
public class WarehouseQueryParam extends BasePageParam {
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键",required = false, example = "1")
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码",required = false, example = "1")
    private String  code;
}
