package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @Author: LGH
 * @Date: 2022/11/16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "能源消耗视图对象", description = "用于查询能源消耗视图对象")
public class EnergyVo extends BaseVo implements PageVo.ConvertVo{
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称",example = "0")
    private String name;
    /**
     * 值
     */
    @ApiModelProperty(value = "名称",example = "0")
    private Object value;
    /**
     * 单位
     */
    @ApiModelProperty(value = "单位",example = "0")
    private String  unit;
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间",example = "0")
    private LocalDateTime time;

    /**
     * code
     */
    @ApiModelProperty(value = "编码",example = "0")
    private String code;
}
