package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author: LGH
 * @Date: 2022/9/5
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "任务参数对象", description = "任务参数对象")
public class CurrTaskParam extends BaseParam {
    @ApiModelProperty(value = "id", required = true)
    private Long id;

    @ApiModelProperty(value = "状态", required = false)
    private  Integer status;

    @ApiModelProperty(value = "加工炉", required = false)
    private  Long kilnId;

}
