package com.mt.wms.empty.params;

import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author: liguanghao
 * @Date: 2021/12/17 9:05
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "库位信息查询参数", description = "库位信息查询参数")
public class StockInfoQueryParam extends BasePageParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "库位", required = false)
    private Long id;
}
